<?php
    // Called in users.js
    session_start();
	require "repository/functions.php";
	require "repository/xml.php";

    if(isset($_POST["file"]) && $_POST["file"] != "") {
        $path = str_replace(" ", "_", $_POST["file"]); // remove spaces if file specified by user
        if(isset($_POST["folder"]) && $_POST["folder"] != "") {
            $path = $_POST["folder"]."/".$path;
        }
    }
    //arrayList($_POST);
    //echo "<hr><hr>\n";

    // ==========================================
    //                Delete file
    // ==========================================
    if(isset($_POST["action"]) && $_POST["action"] == "delete" && $path) {
        //echo "Delete: $path<br>";

        // ====== Delete from list ======
        if(isset($_POST["list_file"]) && $_POST["list_file"] != "") {
            $filename = path($path, "filename");
            $list_file = $_POST["list_file"];
            $groups = [];
            //echo "list file: $list_file<br>\n";
            foreach(array_map("trim", file($list_file)) as $group) {
                $group_name = array_shift(explode(":", $group));
                if($group_name != $filename) {
                    $groups[$group_name] = $group;
                    //echo "+ -> $group_name<br>\n";
                }
                else {
                    //echo "- -> $group_name<br>\n";
                };
            }
            if(safeSave($list_file, join("\n", $groups))) {
                echo "Item deleted from list<br>";
            }
            else {
                echo "Item list save ERROR!<br>";
                $path = false;
            }
        }

        // ====== Delete File ======
        if($path) {
            if(!file_exists($path)) {
                echo "File not found ERROR: $path<br>\n";
            }
            else {
                //unlink($path);
                rename($path, $path.".bak");
                echo "Deleted: $path<br>\n";
                header("Location: xable_users.php");
            }
        }
    }

    // ==========================================
    //                Save file
    // ==========================================
    if(isset($_POST["action"]) && $_POST["action"] == "save") {
        $content = $_POST["content"];
        echo "Save path: $path<br>Content:<br><textarea>".$content."</textarea>\n";
        if(safeSave($path, $content)) {
			header("Location: xable_users.php");
		}
		else {
			echo "SAVING ERROR!<hr>\n";
			arrayList($_POST);
		};
    }

    /*
    
    //arrayList($_SESSION);
	
	$ini_folder = "_users"; // docelowo z danych w $SESSION

    // ====== Delete Group ======
    $dev_group = "dev"; // Protected!
	if(is_string($_GET['delete_group']) && $_GET['delete_group'] != "" && $_GET['delete_group'] != $dev_group) {
        $delete = path($_GET['delete_group'], "filename");
        $groups = array();
        foreach(array_map("trim", file($_SESSION['groups_file'])) as $group) {
            $group_name = array_shift(explode(":", $group));
            if($group_name != $delete) {$groups[$group_name] = $group; }
            else {
                echo "to delete -> $group_name<br>\n";
            };
        };
        //arrayList($groups);
        echo "groups_file: ".$_SESSION['groups_file']."<br>\n";
        echo "ini_file: ".path($_SESSION['groups_file'], "dirname")."/".$_GET['delete_group']."<br>\n";
        
        if(safeSave($_SESSION['groups_file'], join("\n", $groups))) {
            unlink(path($_SESSION['groups_file'], "dirname")."/".$_GET['delete_group']);
            header("Location: xable_users.php");
        }
        else {
			echo "SAVING ERROR!<hr>\n";
			arrayList($_POST);
        }
        
	}
    // ====== Create Group / Save new INI ======
	elseif($_POST['accept'] == "accept" && $_POST['file'] != "" && $_POST['content'] != "") {
		$content = $_POST['content'];
		$file = $_POST['file'];
        $file = str_replace(" ", "_", $file);
		if(safeSave("$ini_folder/$file", $content)) {
			header("Location: xable_users.php");
		}
		else {
			echo "SAVING ERROR!<hr>\n";
			arrayList($_POST);
		};
	}
	else {
		echo "DATA ERROR!<hr>\n";
		arrayList($_POST);
	};
    echo "<a href='xable_users.php'>USERS</a>\n";
    */
?>